Game Develop Core: gd::MetadataProvider Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Static Public Member Functions | List of all members
gd::MetadataProvider Class Reference
Platform Definition ( Classes defining the common concepts used by all platforms )

Deliver metadata for instructions ( i.e. Actions and conditions ) More...

`#include <MetadataProvider.h>`

## Static Public Member Functions

static const AutomatismMetadata & | GetAutomatismMetadata (const gd::Platform &platform, std::string automatismType)
static const ObjectMetadata & | GetObjectMetadata (const gd::Platform &platform, std::string type)
static const gd::InstructionMetadata & | GetActionMetadata (const gd::Platform &platform, std::string actionType)
static const gd::InstructionMetadata & | GetConditionMetadata (const gd::Platform &platform, std::string conditionType)
static const gd::ExpressionMetadata & | GetExpressionMetadata (const gd::Platform &platform, std::string exprType)
static const gd::ExpressionMetadata & | GetObjectExpressionMetadata (const gd::Platform &platform, std::string objectType, std::string exprType)
static const gd::ExpressionMetadata & | GetAutomatismExpressionMetadata (const gd::Platform &platform, std::string autoType, std::string exprType)
static const gd::StrExpressionMetadata & | GetStrExpressionMetadata (const gd::Platform &platform, std::string exprType)
static const gd::StrExpressionMetadata & | GetObjectStrExpressionMetadata (const gd::Platform &platform, std::string objectType, std::string exprType)
static const gd::StrExpressionMetadata & | GetAutomatismStrExpressionMetadata (const gd::Platform &platform, std::string autoType, std::string exprType)
static bool | HasCondition (const gd::Platform &platform, std::string name)
static bool | HasAction (const gd::Platform &platform, std::string name)
static bool | HasObjectAction (const gd::Platform &platform, std::string objectType, std::string name)
static bool | HasObjectCondition (const gd::Platform &platform, std::string objectType, std::string name)
static bool | HasAutomatismAction (const gd::Platform &platform, std::string automatismType, std::string name)
static bool | HasAutomatismCondition (const gd::Platform &platform, std::string automatismType, std::string name)
static bool | HasExpression (const gd::Platform &platform, std::string name)
static bool | HasObjectExpression (const gd::Platform &platform, std::string objectType, std::string name)
static bool | HasAutomatismExpression (const gd::Platform &platform, std::string automatismType, std::string name)
static bool | HasStrExpression (const gd::Platform &platform, std::string name)
static bool | HasObjectStrExpression (const gd::Platform &platform, std::string objectType, std::string name)
static bool | HasAutomatismStrExpression (const gd::Platform &platform, std::string automatismType, std::string name)

## Detailed Description

Deliver metadata for instructions ( i.e. Actions and conditions )

## Member Function Documentation

const gd::InstructionMetadata & gd::MetadataProvider::GetActionMetadata | ( | const gd::Platform & | platform,
|  | std::string | actionType
| ) |  |

static

Get the metadata of an action. Must work for object, automatisms and static actions.

const gd::ExpressionMetadata & gd::MetadataProvider::GetAutomatismExpressionMetadata | ( | const gd::Platform & | platform,
|  | std::string | autoType,
|  | std::string | exprType
| ) |  |

static

Get information about an expression from its type Works for automatism expressions.

const AutomatismMetadata & gd::MetadataProvider::GetAutomatismMetadata | ( | const gd::Platform & | platform,
|  | std::string | automatismType
| ) |  |

static

Get the metadata about an automatism in a project using a platform

Get the metadata about an automatism in a platform

const gd::StrExpressionMetadata & gd::MetadataProvider::GetAutomatismStrExpressionMetadata | ( | const gd::Platform & | platform,
|  | std::string | autoType,
|  | std::string | exprType
| ) |  |

static

Get information about a string expression from its type Works for automatism expressions.

const gd::InstructionMetadata & gd::MetadataProvider::GetConditionMetadata | ( | const gd::Platform & | platform,
|  | std::string | conditionType
| ) |  |

static

Get the metadata of a condition. Must Work for object, automatisms and static conditions.

const gd::ExpressionMetadata & gd::MetadataProvider::GetExpressionMetadata | ( | const gd::Platform & | platform,
|  | std::string | exprType
| ) |  |

static

Get information about an expression from its type Works for static expressions.

const gd::ExpressionMetadata & gd::MetadataProvider::GetObjectExpressionMetadata | ( | const gd::Platform & | platform,
|  | std::string | objectType,
|  | std::string | exprType
| ) |  |

static

Get information about an expression from its type Works for object expressions.

const ObjectMetadata & gd::MetadataProvider::GetObjectMetadata | ( | const gd::Platform & | platform,
|  | std::string | objectType
| ) |  |

static

Get the metadata about an object in a project using a platform

Get the metadata about an object in a platform

const gd::StrExpressionMetadata & gd::MetadataProvider::GetObjectStrExpressionMetadata | ( | const gd::Platform & | platform,
|  | std::string | objectType,
|  | std::string | exprType
| ) |  |

static

Get information about a string expression from its type Works for object expressions.

const gd::StrExpressionMetadata & gd::MetadataProvider::GetStrExpressionMetadata | ( | const gd::Platform & | platform,
|  | std::string | exprType
| ) |  |

static

Get information about a string expression from its type Works for static expressions.

bool gd::MetadataProvider::HasAction | ( | const gd::Platform & | platform,
|  | std::string | name
| ) |  |

static

Verifying if a ( static ) action exists

Returns
  true if the ( static ) action exists

bool gd::MetadataProvider::HasAutomatismAction | ( | const gd::Platform & | platform,
|  | std::string | automatismType,
|  | std::string | name
| ) |  |

static

Verifying if a ( Automatism ) action exists

Returns
  true if the ( Automatism ) action exists

bool gd::MetadataProvider::HasAutomatismCondition | ( | const gd::Platform & | platform,
|  | std::string | automatismType,
|  | std::string | name
| ) |  |

static

Verifying if a ( Automatism ) condition exists

Returns
  true if the ( Automatism ) condition exists

bool gd::MetadataProvider::HasAutomatismExpression | ( | const gd::Platform & | platform,
|  | std::string | automatismType,
|  | std::string | name
| ) |  |

static

Verifying if a ( automatism ) expression exists

Returns
  true if the ( automatism ) expression exists

bool gd::MetadataProvider::HasAutomatismStrExpression | ( | const gd::Platform & | platform,
|  | std::string | automatismType,
|  | std::string | name
| ) |  |

static

Verifying if a ( object ) string expression exists

Returns
  true if the ( object ) string expression exists

bool gd::MetadataProvider::HasCondition | ( | const gd::Platform & | platform,
|  | std::string | name
| ) |  |

static

Verifying if a ( static ) condition exists

Returns
  true if the ( static ) condition exists

bool gd::MetadataProvider::HasExpression | ( | const gd::Platform & | platform,
|  | std::string | name
| ) |  |

static

Verifying if a ( static ) expression exists

Returns
  true if the ( static ) expression exists

bool gd::MetadataProvider::HasObjectAction | ( | const gd::Platform & | platform,
|  | std::string | objectType,
|  | std::string | name
| ) |  |

static

Verifying if a ( object ) action exists

Returns
  true if the ( object ) action exists

bool gd::MetadataProvider::HasObjectCondition | ( | const gd::Platform & | platform,
|  | std::string | objectType,
|  | std::string | name
| ) |  |

static

Verifying if a ( object ) condition exists

Returns
  true if the ( object ) condition exists

bool gd::MetadataProvider::HasObjectExpression | ( | const gd::Platform & | platform,
|  | std::string | objectType,
|  | std::string | name
| ) |  |

static

Verifying if a ( object ) expression exists

Returns
  true if the ( object ) expression exists

bool gd::MetadataProvider::HasObjectStrExpression | ( | const gd::Platform & | platform,
|  | std::string | objectType,
|  | std::string | name
| ) |  |

static

Verifying if a ( object ) string expression exists

Returns
  true if the ( object ) string expression exists

bool gd::MetadataProvider::HasStrExpression | ( | const gd::Platform & | platform,
|  | std::string | name
| ) |  |

static

Verifying if a ( static ) string expression exists

Returns
  true if the ( static ) string expression exists

The documentation for this class was generated from the following files:

- MetadataProvider.h
- MetadataProvider.cpp